#!/bin/bash
set -ex

#Install tools needed for working with devices
add-apt-repository ppa:phablet-team/tools < /dev/null
add-apt-repository ppa:utah/stable < /dev/null
add-apt-repository ppa:pwlars/jenkins < /dev/null

#For latest ubuntu-device-flash backport to trusty
add-apt-repository ppa:ubuntu-sdk-team/ppa < /dev/null
#For deps needed for udf that are in xenial, but not in trusty
add-apt-repository ppa:snappy-dev/tools < /dev/null

apt-get update || apt-get update || apt-get update
apt-get install -y --assume-yes phablet-tools ubuntu-device-flash utah \
	autopkgtest bzr-builder subunit ntp

#Update the udev rules needed for adb devices
install files/99-adb.rules /etc/udev/rules.d
udevadm control --reload-rules
udevadm trigger

install --owner=jenkins --group=jenkins -d /var/lib/jenkins/.ubuntu-ci
install --owner=jenkins --group=jenkins --mode 600 \
	files/secrets/wifi.conf /var/lib/jenkins/.ubuntu-ci/wifi.conf

#Add jenkins to the utah group so that we can run utah tests without sudo
addgroup jenkins utah

#Setup sudo permissions for the jenkins user
#FIXME: 20140926 plars - remove the need for this
#https://app.asana.com/0/8312808705920/16730142900575
if [ ! -f /etc/sudoers.d/jenkins ] ||
	! grep -q jenkins /etc/sudoers.d/jenkins; then
    echo "jenkins ALL=(ALL) NOPASSWD: ALL" > /etc/sudoers.d/jenkins
fi
